@extends('dashboards.layouts.dash-layout')
@section('title', 'Manufacturingorder')

@section('content')

<!-- Content Header (Page header) -->
<section class="content-header">
  <div class="container-fluid mt-2 px-3">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Manufacturing Order</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{ Route('adminIndexManufacturingorder') }}">Manufacturing Order</a></li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->

  @if ($message = Session::get('success'))
  <div class="container-fluid px-3">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">SUKSES</h3>

        <div class="card-tools">
          <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
          </button>
        </div>
        <!-- /.card-tools -->
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        <strong> {{ $message }} </strong>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </div>
      <!-- /.card-body -->
    </div>
  </div>
  @endif
</section>

<!-- Main content -->
<section class="content">
  <div class="container-fluid px-3">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
            <a class="btn btn-default float-right" href="{{ Route('adminCreateManufacturingorder') }}">Tambah Manufacturing Order</a>
          </div>
          <!-- /.card-header -->
          <div class="card-body">
            <table id="example1" class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>No</th>
                  <th>Kode MO</th>
                  <th>Kode Produk</th>
                  <th>Nama Produk</th>
                  <th>Banyak Produksi</th>
                  <th>Tanggal Produksi</th>
                  <th>Selesai Produksi</th>
                  <th>Status</th>
                  <th width="170px">Aksi</th>
                  <th>MAD</th>
                </tr>
              </thead>
              <tbody>
                @foreach ($manufacturingorders as $manufacturingorder)

                <tr>
                  <td>{{ $loop->iteration }}</td>
                  <td>{{ $manufacturingorder->kodemo }}</td>
                  <td>{{ $manufacturingorder->kodeprodu }}</td>
                  <td>{{ $manufacturingorder->panggilProduk->namaproduk }}</td>
                  <td>{{ $manufacturingorder->banyakproduksi }}</td>
                  <td>{{ $manufacturingorder->tglproduksi }}</td>
                  <td>{{ $manufacturingorder->tglselesaiproduksi }}</td>
                  <td>{{ $manufacturingorder->status }}</td>
                  <td>
                    <form action="{{ route('adminDestroyManufacturingorder',$manufacturingorder->idmo) }}" method="POST">

                      <a class="btn btn-primary" href="{{ route('adminEditManufacturingorder',$manufacturingorder->idmo) }}">Edit</a>
                      <a class="btn btn-info" href="{{ route('adminIsiManufacturingorder',$manufacturingorder->idmo) }}">Isi</a>
                      
                      @csrf
                      @method('DELETE')
                      
                      <button type="submit" class="btn btn-danger">Delete</button>
                    </form>
                  </td>
                  <td>
                    <form action="{{ route('adminMadManufacturingorder') }}" method="GET">
                      @csrf
                      <input type="hidden" class="form-control" id="idmonya" placeholder="idmonya" value="{{ $manufacturingorder->idmo }}" name="idmonya">
                      <button type="submit" class="btn btn-primary" style="margin-right: 5px;"  {{ $manufacturingorder->status != 'PRODUCE' ? 'disabled' : '' }}>
                        <i class="fas fa-check"></i> MaD
                      </button>
                    </form>
                  </td>
                </tr>
                @endforeach
                </tfoot>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>
@push('js')
  
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.13.1/b-2.3.3/b-html5-2.3.3/b-print-2.3.3/datatables.min.js"></script>

  <script>
    $(document).ready(function() {
      $('#example1').DataTable( {
          "language": {
              "lengthMenu": "Tampilkan _MENU_ data per halaman",
              "zeroRecords": "Tidak ada data - Maaf",
              "info": "Menampilkan halaman ke- _PAGE_ dari _PAGES_",
              "infoEmpty": "Tidak ada data yang tersedia",
              "infoFiltered": "(Filterisasi dari _MAX_ total data)",
              "search" : "Cari :",
              "paginate": {
                  "first":      "Awal",
                  "last":       "Akhir",
                  "next":       "Selanjutnya",
                  "previous":   "Sebelumnya"
              },
          }
      } );
    } );
  </script>
  @endpush
@endsection